﻿# Making a game from scratch in under 5 days sure makes things messy


init:
    $ library.script_version = (5, 6, 0)
    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "Lucy's Revenge"
    $ config.developer = False

init:
    $ style.mm_root.background = Image("mainmenu.jpg")

init:
    image eileen_harassed = Animation("eh1.png", 0.2,"eh2.png", 0.2, "eh3.png", 0.2, "eh4.png", 0.7, "eh3.png", 0.2, "eh2.png", 0.2, )

init:
    image tied_talk = Animation("ttalk1.png", 0.2,"ttalk2.png", 0.2, )

init:
    image deltalk = Animation("del1.png", 0.2,"del2.png", 0.2, )

init:
    image beatupbg = Animation("a.jpg", 0.1,"b.jpg", 0.1,"c.jpg", 0.1,"d.jpg", 0.1,  )
    
# BACKGROUNDS
    image bg washington = "washington.jpg"
    image bg back00 = "back00.jpg"
    image bg back01 = "back01.jpg"
    image bg back02 = "back02.jpg"
    image bg back03 = "back03.jpg"
    image bg back04 = "back04.jpg"
    
    image bg choose01 = "choose01.jpg"
    image bg choose02 = "choose02.jpg"
    image bg choose03 = "choose03.jpg"
    image bg choose04 = "choose04.jpg"
    image bg choose05 = "choose05.jpg"
    image bg choose06 = "choose06.jpg"
    image bg choose07 = "choose07.jpg"
    image bg choose08 = "choose08.jpg"
    image bg choose09 = "choose09.jpg"
    image bg choose10 = "choose10.jpg"
    
    image bg what = "what.jpg"
    image bg reason = "reason.jpg"
    image bg next = "next.jpg"
    
    image bg black = Solid((0, 0, 0, 255))
    image bg tied01 = "tied_01.jpg"
    image bg tied02 = "tied_02.jpg"
    image bg tied03 = "tied_03.jpg"
    image bg tied04 = "tied_04.jpg"
    image bg empty1 = "empty_1.jpg"
    image bg empty2 = "empty_2.jpg"
    image bg payback1 = "payback_01.jpg"
    image bg takeover = "takeover.jpg"
    image bg delivery = "delivery.jpg"
    
    image eileen happy = "9a_happy.png"
    image eileen vhappy = "9a_vhappy.png"
    image eileen concerned = "9a_concerned.png"
    image eh5 = "eh5.png"
    image eh6 = "eh6.png"
    image car = "car.png"
    image t1 = "t1.png"
    image t2 = "t2.png"
    image t3 = "t3.png"
    image t4 = "t4.png"
    image t5 = "t5.png"
    image t6 = "t6.png"
    image tied = "tied.png"
    image deli = "deli.png"
    image dl1 = "dl1.png"
    image dl2 = "dl2.png"
    image dl3 = "dl3.png"
    image dl4 = "dl4.png"
    image me = "me.png"
    image me2 = "me2.png"
    image aha1 = "aha1.png"
    image aha2 = "aha2.png"
    image liberty = "liberty.png"
    
    image lucy001 = "lucy001.png"
    image lucy002 = "lucy002.png"
    image lucy003 = "lucy003.png"
    image lucy004 = "lucy004.png"
    image lucy005 = "lucy005.png"
    image lucy006 = "lucy006.png"
    image lucy007 = "lucy007.png"
    image lucy008 = "lucy008.png"
    image lucy009 = "lucy009.png"
    image lucy010 = "lucy010.png"
    image lucy011 = "lucy011.png"
    image lucy012 = "lucy012.png"
    image lucy013 = "lucy013.png"
    image lucy014 = "lucy014.png"
    image lucy015 = "lucy015.png"
#LUCY IMAGES
    

    $ l = Character('Lucy', color=(255, 255, 255, 255))
    #$ l1 = Character("Lucy", function=side_say, side='l1.png', window_left_padding=148)
    
    $ e = Character('Eileen', color=(255, 255, 255, 255))
    #$ e1 = Character("Eileen", function=side_say, side='e1.png', window_left_padding=148)
    
    
    $ b = Character('Eileen and Lucy', color=(255, 255, 255, 255))
    $ c = Character('Cameraman', color=(255, 255, 255, 255))
    $ v = Character('Person on the Phone', color=(255, 255, 255, 255))
    $ p = Character('Pizza Delivery Guy', color=(255, 255, 255, 255))
  

#===========================================================================================================================  
#Scene 01 - Oh... Mashing Time

label start:
    
    $ save_name = "Oh... Mashing Time"
    $ date = False
    $ renpy.clear_game_runtime()        
    $ renpy.music.play('sun-flower-slow-drag.mid')
    

    scene bg back00 with fade

    "Girl" "Hi, I'm Eileen and welcome to the..."
    
    scene bg black 

    e "!?..."
    e "Who turned off the lights?"
    l "I did."
    e "Wait! {p}What are you doing!?"
    e "Dammit!... Stop mashing my *BEEP*"
    l "I did not!"
    e "Oh yes you did you anemic flat chested ironing board!"
    l "NO I DID NOT!... AND I'M NOT FLAT CHESTED... {p}I'm a B cup."
    e "Then who did!?"
 
    scene bg washington
    
    show eileen_harassed
    show eh5
    b "!?..."
    c "...eh!"
    e "Was it you?"
    c "...Maybe"
    l "Aren't you supposed to be manning that TV Camera over there."
    c "...Probably"
    
    hide eh5
    show eh6
    
    l "THEN GET THE &$@#! BACK IN THERE AND START SHOOTING!"
    

#===========================================================================================================================  
#Scene 02 - "Lucy... you're scary

    $ save_name = "Lucy... you're scary"
    scene bg takeover at Pan((0, 400), (0, 50), 20.0) with dissolve
    e "Lucy?..."
    l "That's right."
    l "I'm taking over."
    e "Uh... You don't look so well"
    e "Maybe you should go home and take a rest" 
    l "SHUT THE &$@#!-UP BITCH!"
    e "...Lucy"
    l "You've been hoarding all the spotlight all this time."
    l "Now it's my turn"
    
    e "OK... But don't forget to turn it off after using it."
    e "Spotlights do consume large amount of electricity."
    l "...Eileen"
    e "What."
    l "Do you... {p}understand the current situation... {p}you're in right now?"
    e "Let's see... You're mad at me since I've been hoarding all the spotlight."
    e "And I am correct?"
    l "......you're dumber than I thought"

    l "OK... I'll explain everything to you in plain English now listen very, very carefully."
    l "Right now you are my hostage and you can't say or do anything until I said so."
    e "Could you please kindly tell me why."
    l "As I said earlier, you're my hostage"
    l "And you can't say or do anything until I said so."
    e "Why?"
    l "BECAUSE YOU'RE MY HOSTAGE!"
    l "NOW SHUT THE &$@#!-UP AND DON'T MAKE ME REPEAT MYSELF!"
    e "But..."
    l "SHUT UP ALREADY."


    l "HEY YOU!"
    show me
    c "Me!?"
    l "Yeah!... You!"
    l "Start rolling that camera."
    l "Were going ON-AIR and with me as the star of a brand new show."
    l "It's the I ASK LUCY show!"
    show aha2
    e "That's a lame name."
    e "Can't you think up of something... cool or catchy."
    l "How about... {p}THE LUCY HOUR!"
    e "And put everyone to sleep in as little as 10 minutes."
    hide aha2
    show aha1
    e "That's the most LAMEST thing I have heard."
    l "...Eileen"
 
# Fade to Black with image of Eileen being tied
    scene bg tied01 with fade
    e "HEY!... LET ME GO YOU PSYCHOTIC BITCH!"
    
#===========================================================================================================================  
#Scene 03 - Show must go on

    $ save_name = "Show must go on"
    
    scene bg back01 with fade
    
    l "Now that the nuisance is gone... It's time to start..."
    l "THE LUCY HOUR"
  
    show lucy001 with dissolve

    l "In today's show were going to discuss Ren'py... obviously"
    l "For the benefit of those who just tuned in, Ren'py is..."
    
    show lucy002
    
    e "An engine that supports the creation of visual novels which is a form of computer-mediated storytelling."
    
    show lucy001
    
    l "It supports..."
    
    show lucy002
    
    e "A movie script-like syntax that makes creating simple games easy, while still being customizable and extensible by advanced creators."
    e "With no additional work by the game-maker, it supports features expected of all visual novels, like loading, saving, preferences, and rollback."
    l "Ren'Py is also..."
    
    show lucy002
    e "Open-source, and is free to use for commercial and non-commercial purposes."
    
    show lucy003
    l "Also Ren'Py is..."
    
    show lucy004
    e "Supported on Windows, Mac OS X, and Linux x86, and can be made to run on other platforms."
    l "...Eileen"
    scene bg tied02 with fade
    e "FUUCCHH YOUGHFF YOUGH PFSYCHFOOTIC BVITCHHH I'HLL GFEET YOUFF PFOOR DHIS!"
    scene bg back02 with fade
    show car
    l "I would also like to add the fact that Ren'py Visual Novel Engine is NOT something found in a car."
    show car at offscreenright with move
    scene bg washington
    show lucy005
    l "EHEM!"
    l "I think it's best to start discussing Ren'py starting with the man who started it all..."
    scene bg empty1 with dissolve 
    l "Mr. PyTom himself!"
    l "..."
    l "......"
    l "......Where's PyTom?"
    c "*whisper*...*whisper*..."
    l "Uh-huh... you mean"
    c "*whisper*...*whisper*..."
    l "Yes but..." 
    c "*whisper*...*whisper*..."
    l "So it's supposed to be..."
    c "*whisper*...*whisper*..."
    $ renpy.play('tok.wav')
    scene bg empty2 with vpunch
    l "YOU MORON!"
    l "YOU SHOULD HAVE TOLD ME EARLIER THAT PYTOM WILL BE INTERVIEWED VIA PHONE!"
    scene bg back03 with fade
    l "I guess we'll start with questions sent in by our viewers."
    scene bg washington
    show lucy006
    l "Let's see..."
    l "It's an e-mail question from MUGENJOHNCEL."
    l "Is there a way to prevent the user from clicking while an image or text moves or prevent a user from clicking for a specified amount of time?"
    hide lucy006
    show lucy007
    l "Hmm... that's a tough question."
    hide lucy007
    show lucy008
    show t1
    show tied_talk
    e "Youf chould ushe rhenpay phaus."
    hide t1
    hide tied_talk
    show tied
    l "Yes, but all it takes is one click of a mouse and everything gets screwed."
    l "Like what if I wanted to slide an image from offscreen right to center"
    l "Then replace it with an animated version of that picture exactly 2 seconds later."
    l "And if the user clicks while the picture is still sliding from offscreen right to center"
    l "The character seems to teleport out of nowhere and it definitely looked a little bit... odd." 
    hide tied
    show t2
    show tied_talk
    e "Youf chold ushe ui.phausebvehaviour ohr ui.intheracht bhut Aih dhon't theenk eht's ah bvery ghood ahdea."
    hide t2
    hide tied_talk
    show tied
    l "What makes you say that."
    hide tied
    show t3
    show tied_talk
    e "Ehf de usehr chuushes tho chlick de mhouse, he's assepthed dat dhe ghame whill immhediathely skep phorward"
    hide t3
    show t4
    e "Ahnd ish whilling tho deal with de fhact dhat de ghame mhay luuk add ahs ah risult." 
    hide lucy008
    show lucy009
    hide t4
    show t5
    e "Phlayirs ahre nhot de ehnemii, thrust dem two dho what ghives dem de hayhest ahmount op enjhoymint when phlayeng ah gim."
    hide t5
    show t6
    e "Whan ohf da ahbantadies op da BN pormat ihs dat de phlayer hass kontrwol owber de payse op de sturi."
    hide t6
    hide tied_talk
    show tied
    l "OK... you do have a point there but I still wanted to prevent the user from clicking for a specified amount of time?"
    l "ui.pausebehavior and ui.interact might help us on this one but we don't have any idea how it works"
    hide lucy009
    show lucy010
    show tied at offscreenleft with move
    l "And this is where we call PyTom for answers."
    hide lucy010
    show lucy011
    l "...Hello"
    hide lucy011
    show lucy012
    v "Thank you for calling Dead Meat Pizza"
    v "May I take your order please"
    l "Mr. PyTom?..."
    v "I'm sorry Mam but we don't have Pie in our Menu."
    v "Would you like to try our Double Dead Meat Pizza?"
    l "Yes... {p}I mean NO!"
    l "I'm looking for a person named PyTom."
    hide lucy012
    show lucy013
    v "Sorry Mam, but there's no one here that goes by that name."
    v "Anyway, thank you for calling Dead Meat Pizza and..." 
    hide lucy013
    show lucy014
    l "Wait... I think I'll have that Double Dead Meat Pizza and two large fries and a big cup of soda."
    l "Also, include two extra packs of banana flavoring."
    v "The one with lots of Artificial Flavoring?"
    l "Yup!... that one."
    v "May I take your address please."
    l "Let's see..."
    l "90210 I am Lost Drive, No Name Town, Any State, Anywhere, Someplace, U.S.A."
    v "Thank you Mam your order will be delivered to you in about 6 months"
    hide lucy014
    show lucy015
    l "SIX MONTHS!?"
    l "What the &$@#! happened to your 30 minute delivery policy?"
    v "And how do you expect us to find you with that address you gave us!"
    v "Anyway, thank you for calling and have a nice day...{p}Bitch!"
    "CLACK"
    hide lucy015
    show lucy013
    l "...Hey"
    show me
    c "What?"
    l "Next time, make sure you give me PyTom's REAL NUMBER... {p}Please."
    scene bg back03 with fade
    l "OK!... Let's go back to the questions sent by our viewers."
    l "Let's see..."
    e "May I ask you a question?"
    scene bg washington
    show lucy009
    l "What?"
    e "Why are you doing this?"
    scene bg reason with dissolve
    l "Why am I...{p}Doing this..."
    l "I'll tell you why!"
    l "IT'S BECAUSE YOU'VE BEEN HOGGING ALL THE ATTENTION AND SPOTLIGHT EVERYTIME A NEW VERSION OF REN'PY COMES OUT!"
    l "I on the other hand only get about 3 to 4 seconds in every version of Ren'py that comes out."
    e "If you really want the spotlight that badly then take it!"
    e "It's in the back... but don't blame me if your electric bill goes skyhigh!"
    l "...Eileen"
    l "You still...{p}Don't get it... {p}Do you."
    l "Hmm... It seems I'll need to explain to you again in plain English what exactly is happening here."
    l "Now please... {p}listen very, very, VERY carefully...{p}please..."
    l "Right now, I am taking over your show and you are my hostage."
    l "Since you're my hostage, you can't say or do anything until I said so."
    e "Why?"
    l "Because you're my...{p}...Never mind"
    l "You'll just make me repeat myself."
    e "Repeat what?"
    l "That you're my hostage!...{p}Uh... I said it again"
    l "Do you understand?"
    e "Umm... maybe!"
    e "But I do understand several things about you."
    l "And could you tell me what exactly what are those things you understand about me?"
    e "That you are an Anemic, Flat Chested, Psychopath obsessed with Spotlights."
    e "And that you hate me."
    l "NOW LISTEN TO ME YOU BITCH!"
    l "I am NOT ANEMIC, I'm a B CUP, I'm not a PSYCHOPATH... I just snapped and I'm not obsessed with spotlights!"
    l "And yes... I do hate you."
    l "And if you don't SHUT THE F$@# UP! and sit there quietly I'll probably have to do..."
    e "Do what?"
    scene bg tied03 with fade
    e "OK!... I understand"
    scene bg back03 with fade
    l "...EHEM!"
    scene bg washington
    show lucy007
    l "Let's go back to our regular programming."
    l "Since PyTom can't be reached right now were going to skip the viewers question part and discuss Image Maps."
    hide lucy007
    show lucy006
    l "Image Maps..."
    hide lucy006
    show lucy009
    e "Displays a..."
    scene bg tied04 with fade
    e "Ok!...Ok!... Now stop pointing that thing at me{p}...Please"
    scene bg back03 with fade
    l "...EHEM!"
    scene bg washington
    show lucy006
    l "Displays an imagemap...{p}Uh... what was that again?"
    hide lucy006
    show lucy007
    l "Ah!... I remember!"
    hide lucy007
    show lucy006
    l "An image map consists of two images and a list of hotspots that are defined on that image."
    l "When the user clicks on a hotspot, the value associated with that hotspot is returned."
    hide lucy006
    show lucy009
    l "OK, I'll be honest... {p}I really don't understand a single word I just said."
    scene bg back02
    l "Image Maps..."
    l "Kinda reminds me of that MAKE A CHOICE screen in the REN'PY Demo."
    e "You mean..."
    scene bg back01
    l "Yup!{p}That segment where YOU end up being chosen most of the time."
    l "And even if someone did choose me, they still end up going out with you every Saturday."
    e "You got it all wrong Lucy!"
    e "Those guys that choose you really wanted to go out you."
    scene bg takeover at Pan((0, 400), (0, 50), 20.0) with dissolve
    l "LIAR!"
    l "I waited all day and none of them showed up!"
    e "Where"
    show liberty
    l "Near the Washington Monument"
    e "Uh... Lucy{p}That's not the Washington Monument."
    e "It's the Statue of Libery."
    l "...It is?"
    hide liberty with dissolve
    l "......"
    l "............"
    l "......Anyway, Let us demonstrate to our viewers how Image Map works."
    scene bg tied04 with fade
    e "HEY!... What did I do?"
    l "You're coming with me!"
    scene bg choose01 with fade
    l "We'll let the viewers decide which one of us they like better."

    $ result = renpy.imagemap("selected.png","ground.png",[(100, 100, 300, 400, "eileen"),(500, 100, 700, 400, "lucy")])

    if result == "eileen":
        jump choose_eileen_a

    elif result == "lucy":
        jump choose_lucy_a

label choose_eileen_a:
    scene bg choose02
    e "You picked me!"
    scene bg choose03
    l "Hmm... that has to be a mistake."
    scene bg choose04
    e "What are you talking about!?"
    l "There must be something wrong with their mouse"
    l "or they probably accidentally clicked on your ugly picture... it can happen you know"
    l "I'll make sure that this whole thing will be fair and bias free."
    l "Just to be sure, we'll let them choose again." 
    jump menu_b
    
label menu_b:
    $ result = renpy.imagemap("selected.png","ground.png",[(100, 100, 300, 400, "eileen"),(500, 100, 700, 400, "lucy")])

    if result == "eileen":
        jump choose_eileen_b

    elif result == "lucy":
        jump choose_lucy_a

label choose_eileen_b:
    show bg choose05
    e "You picked me!... Again!"
    show bg choose06
    e "Give up Lucy!... The viewers have decided."
    l "Grrr... Let's try it one more time!"

label menu_c:
    scene bg choose07 with fade
    l "HA!... try and choose now."
    e "Lucy... I think this is going a bit too far."
    jump menu_d
 
label menu_d:
    $ result = renpy.imagemap("selectedb.png","groundb.png",[(100, 100, 300, 400, "left"),(500, 100, 700, 400, "right")])

    if result == "left":
        $ choice = renpy.random.choice(['a', 'b', 'c']) 

        if choice == 'a': 
            scene bg choose07
            l "You don't have a choice{p}You might as well as click on me."
            e "Go ahead and click on her ugly picture... Don't worry about me."
            jump menu_d
                
        elif choice == 'b': 
            scene bg choose07
            l "You don't have a choice."
            scene bg choose08
            e "We do have two choices actually."  
            e "Click on your ugly picture or press CTRL+ALT+DELETE to continue."
            jump menu_d

        elif choice == 'c': 
            scene bg choose07
            l "OK... Go ahead and click on her but were definitely not going anywhere until you choose me."
            e "And you still call this fair and bias free?"
            jump menu_d


    elif result == "right":
        jump choose_lucy_b

label choose_lucy_a:
    scene bg choose10
    l "You picked me!"
    l "Oh! I'm so happy!"
    l "I told you the viewers will pick me"
    jump pizzaguy
    
label choose_lucy_b:
    scene bg choose09
    l "You picked me!"
    l "Oh! I'm so happy!"
    l "I told you the viewers will pick me"
    jump pizzaguy
    
label pizzaguy:
    c "...Excuse me"
    scene bg what with fade
    l "What!"
    show me
    c "Some Pizza guy is here to see you."
    scene bg delivery at Pan((0, 900), (0, 0), 20.0) with fade
    show deltalk
    show dl1
    p "Here's the Double Dead Meat Pizza and two large fries and a big cup of soda you ordered Mam."
    hide dl1
    hide deltalk
    show dl2
    show deli
    l "Did you include the extra packs of banana flavoring I asked for?"
    hide deli
    show deltalk
    p "Yes Mam, they're all here."
    p "That will be US$26.00"
    p "I guess I'll be going now."
    hide deltalk
    show deli
    l "Uh... {p}Can I ask you one question?"
    hide dl2
    show dl3
    l "How the hell did you manage to find this place?"
    hide deli
    show deltalk
    hide dl3
    show dl4
    p "Oh it's easy... we traced where the call is coming from."
    scene bg black with fade
    l "Hey you!"
    c "ME?"
    l "Want some?"
    "a few minutes later"
    l "Ugh!... {p}Now I know why they called it Double Dead Pizza."
    l "That's the worse pizza I have tried."
    c "Good thing you got this pack of banana flavoring to counter the bad taste."
    l "Save some fries for me."
    scene bg back04 with fade
    l "Now that I'm full, Let's go back to our regular programming."
    l "This time let's discuss this ren'py function called..."
    c "Psst..."
    show me
    l "What!"
    c "Behind you"
    scene bg payback1 at Zoom((800, 600), (341, 0, 459, 344), (0, 0, 800, 600), 30.0) with fade
    l "Eileen!"
    e "That's right."
    e "And now I would like to discuss two new ren'py functions, vpunch and hpunch."
    l "Uh... I think they've been around for quite a while now."
    e "Multiple times and in Rapid succession."
    l "...Will it hurt?"
    e "...Probably"
    scene beatupbg with fade
    show me2
    e "TAKE THAT YOU BITCH!"
    l "AGHH!"
    e "*BEEP*...*BEEP*.... and this you *BEEP*!"
    l "EAGHHH!"
    e "*BEEP*... *Censored*... whats the matter now you *BEEEEEP*... *Censored*!"
    l "AGGHHHH!"
    c "..."
    c "......"
    c "......{p}It's too late to stop them now."
    c "Oh well...{p}Might as well watch and enjoy this massacre."
    scene bg black with fade
    "...a few minutes later"
    scene bg back04 with fade
    show me
    c "And that's all the time we have for today."
    c "I hope you'll join us next week and..."
    e "Hey..."
    scene bg next at Zoom((800, 600), (56, 27, 469, 352), (0, 0, 800, 600), 30.0) with fade
    show me
    c "What?"
    e "You're not off the hook yet."
    c "What did I do?"
    e "Remember the time the lights went off?"
    c "Oh! I remember now!"
    c "That's the time where I felt this soft and mushy..."
    $ renpy.music_stop(fadeout=0.5)
    scene bg black
    ".............................."
    c "EEEEAAAGHHHHHH!"
    "To be continued"
    
label splashscreen:
    scene black
    show text "Powered by Ren'py" with dissolve
    $ renpy.pause(1.0)
    hide text with dissolve
    
    return

